//package poo.ordenadores;
/**
 * Superclass para distintas implementaciones de algoritmos de ordenamiento.
 * @author Agustín J. González
 */
public abstract class Ordenador {


	/** Ordena una arreglo de objetos Comparable.
	 * @param A Arreglo de objetos comparables.
	 */
	public abstract void ordenar(Comparable[] A);

	/** Obtiene el número de comparaciones realizadas en la última invocación a ordenar.
	 * @return número de comparaciones hechas para ordenar el arreglo.
	 */
	public abstract int getNumComparaciones();

	/** Obtiene el número de intercambio o enroques de datos (swaps) durante la última operación de ordenamiento.
	 * @return número de intercambios de datos en última comparación.
	 */
	public abstract int getNumIntercambios();
	
	public abstract String toString();
	
}
